//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class mntn_mountainrange
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public mntn_mountainrange()
        {
            this.mntn_mountaingroup = new HashSet<mntn_mountaingroup>();
            this.mntn_mountainrange1 = new HashSet<mntn_mountainrange>();
            this.mountain = new HashSet<mountain>();
            this.route = new HashSet<route>();
        }
    
        public int id { get; set; }
        public string mntnRange_name { get; set; }
        public System.DateTime mntnRange_dateIns { get; set; }
        public Nullable<System.DateTime> mntnRange_dateMod { get; set; }
        public Nullable<int> mntnRange_parentId { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mntn_mountaingroup> mntn_mountaingroup { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mntn_mountainrange> mntn_mountainrange1 { get; set; }
        public virtual mntn_mountainrange mntn_mountainrange2 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mountain> mountain { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route> route { get; set; }
    }
}
